Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.information
Class InformationProviderServiceImpl

    java.lang.Object
      org.jasig.portal.container.services.information.InformationProviderServiceImpl

All Implemented Interfaces:
  org.apache.pluto.services.ContainerService, org.apache.pluto.services.information.InformationProviderService, PortletContainerService

    public class InformationProviderServiceImpl

extends java.lang.Object
implements PortletContainerService, org.apache.pluto.services.information.InformationProviderService

Implementation of Apache Pluto InformationProviderService.

Version:
  $Revision: 1.9 $
Author:
  Michael Ivanov, mivanov@unicon.net

Field Summary
`private static java.lang.String` | `dynamicInformationProviderRequestParameterName`
`private static org.apache.pluto.services.information.DynamicInformationProvider` | `dynamicProvider`
`private static StaticInformationProviderImpl` | `staticInfoProvider`

Constructor Summary
`InformationProviderServiceImpl()`

Method Summary
`void` | `destroy()` Destroys the services.
`org.apache.pluto.services.information.DynamicInformationProvider` | `getDynamicProvider(javax.servlet.http.HttpServletRequest request)`
`org.apache.pluto.services.information.StaticInformationProvider` | `getStaticProvider()`
`void` | `init(javax.servlet.ServletConfig servletConfig, java.util.Properties properties)` Initializes the service using the servlet configuration and the service properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dynamicProvider

    private static org.apache.pluto.services.information.DynamicInformationProvider dynamicProvider

### staticInfoProvider

    private static StaticInformationProviderImpl staticInfoProvider

### dynamicInformationProviderRequestParameterName

    private static final java.lang.String dynamicInformationProviderRequestParameterName

See Also:
  Constant Field Values

Constructor Detail

### InformationProviderServiceImpl

    public InformationProviderServiceImpl()

Method Detail

### init

    public void init(javax.servlet.ServletConfig servletConfig,
                     java.util.Properties properties)
              throws java.lang.Exception

  Description copied from interface: `PortletContainerService`
  Initializes the service using the servlet configuration and the service properties.

  Specified by:
    `init` in interface `PortletContainerService`
  Parameters:
    `servletConfig` - the servlet configuration
    `properties` - the service properties
  Throws:
    `java.lang.Exception` - if the initialization fails

### destroy

    public void destroy()
                 throws java.lang.Exception

  Description copied from interface: `PortletContainerService`
  Destroys the services. This method allows the service to cleanup any resources.

  Specified by:
    `destroy` in interface `PortletContainerService`
  Throws:
    `java.lang.Exception` - if the destruction fails

### getStaticProvider

    public org.apache.pluto.services.information.StaticInformationProvider getStaticProvider()

  Specified by:
    `getStaticProvider` in interface `org.apache.pluto.services.information.InformationProviderService`

### getDynamicProvider

    public org.apache.pluto.services.information.DynamicInformationProvider getDynamicProvider(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getDynamicProvider` in interface `org.apache.pluto.services.information.InformationProviderService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD